Summary: The ping and inetd networking programs.
Name: netkit-base
Version: 0.11
Release: 22mdk
Copyright: BSD
Group: System/Base
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/netkit-base-0.11+.tar.bz2
Source1: inetd.conf.default
Source2: inet.init
Source3: inetd.conf.5.bz2
Patch0: netkit-base-0.10-misc.patch.bz2
Patch3: inetd-fdleak.patch.bz2
Patch4: netkit-base-0.10-maint.patch.bz2
Patch5: ping-0.10-ank.patch.bz2
Provides: inetd
Prereq: /sbin/chkconfig
Requires: tcp_wrappers
BuildRoot: %{_tmppath}/%{name}-root

%description
The netkit-base package contains the basic networking tools ping and
inetd.  The ping command sends a series of ICMP protocol ECHO_REQUEST
packets to a specified network host and can tell you if that machine
is alive and receiving network traffic.  Inetd listens on certain
Internet sockets for connection requests, decides what program should
receive each request, and starts up that program.

The netkit-base package should be installed on any machine that is on
a network.

%prep
%setup -q -n netkit-base-0.11+

cd inetd
%patch3 -p0 -b .leak
cd ..

%patch4 -p1 -b .maint

%ifarch alpha
%patch5 -p0 -b .ank
%endif

find . -name Makefile | xargs perl -pi -e 's/(install.*)-o\s+root/$1/'

%build
make CFLAGS="-pipe -D__USE_BSD_SIGNAL $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make INSTALLROOT=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/man/man5
install -m 644 $RPM_SOURCE_DIR/inetd.conf.5.bz2 $RPM_BUILD_ROOT/usr/man/man5

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
install -m 644 $RPM_SOURCE_DIR/inetd.conf.default $RPM_BUILD_ROOT/etc/inetd.conf
echo '#swat      stream  tcp     nowait.400      root /usr/sbin/swat swat' >>$RPM_BUILD_ROOT/etc/inetd.conf
install -m 755 $RPM_SOURCE_DIR/inet.init $RPM_BUILD_ROOT/etc/rc.d/init.d/inet

ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K50inet

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add inet

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del inet
fi

%files
%defattr(-,root,root)
%attr(4755,root,root)	/bin/ping
%attr(0644,root,root)	%config(noreplace) /etc/inetd.conf
%attr(0755,root,root)	%config /etc/rc.d/init.d/inet
%config(missingok) /etc/rc.d/rc0.d/K50inet
%config(missingok) /etc/rc.d/rc1.d/K50inet
%config(missingok) /etc/rc.d/rc2.d/K50inet
%config(missingok) /etc/rc.d/rc3.d/S50inet
%config(missingok) /etc/rc.d/rc5.d/S50inet
%config(missingok) /etc/rc.d/rc6.d/K50inet
/usr/man/man5/inetd.conf.5.bz2
/usr/man/man8/inetd.8.bz2
/usr/man/man8/ping.8.bz2
/usr/sbin/inetd

%changelog
* Tue Mar 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.11-22mdk
- inetd.conf: added a commented line for cvs pserver.

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update the group name for free

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix for swat in order to remove shit from samba postinst scripts (pixel)

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11-19mdk
- Clean-up spec.
- Add rsync entry (disabled by default).

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11-18mdk
- Fix typo in inetd.conf in dtalk entry (#42).

* Wed Jan 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11-17mdk
- Downgrade to ping 0.10 and ank patch on alpha to don't send wrong
  data bytes.

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Clean-up patchs.

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- talk use tcp not udp (inetd.conf)

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reuploading to fix stupid fast rpm --rebuild && upload package error :-((
  (well have you see the time here, i feeeeeeeel tiiiiiired).

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add security patch from Jean Michel.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix inetd fd leak (#695)

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- ping flood can send faster than it can receive -- staunch the flow. (#213)

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- turn off imap/pop by default
- add a buffer overflow patch

* Fri Mar 26 1999 Jeff Johnson <jbj@redhat.com>
- make inetd.conf %config(noreplace).
- fix time service config (#1725).

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- comsat service added (commented out)

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- man page added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 23)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Jun 17 1998 Jeff Johnson <jbj@redhat.com>
- man page correction (problem #727)
- add build root.

* Fri Jun 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Mike Wangsmo <wanger@redhat.com>
- made /etc/inetd.conf a %config file.  This is a D'oh!

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed iniscript enhancement

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Michael K. Johnson
- enhanced initscript

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added %config(missingok) to init symlinks

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- turned off in runlevel 2
- added status, restart options to init script

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support

* Wed Aug 27 1997 Erik Troan <ewt@redhat.com>
- fixed init.d symlinks
- fixed permissions on /etc/rc.d/inet
